GTK 3.0 auf RasPi

Topics about the Software of Revolution Pi
Post Reply
Frank E.
Posts: 5
Joined: 25 Mar 2024, 10:51

GTK 3.0 auf RasPi

Post by Frank E. »

Hallo zusammen,

ist es möglich, auf dem Revolution Pi GTK 3.0 zu installieren?

sudo apt-get install libgtk-3-dev

hat leider nicht funktioniert. Ich möchte eine C++ Anwendung, die GTK 3.0 verwendet, entwickeln und auf dem Revolution PI laufen lassen. Ist das möglich?
User avatar
nicolaiB
KUNBUS
Posts: 897
Joined: 21 Jun 2018, 10:33
Location: Berlin
Contact:

Re: GTK 3.0 auf RasPi

Post by nicolaiB »

Hallo Frank,

was hat denn nicht funktioniert? Auf einem aktuellen Bullseye Image kann ich das Paket installieren. Welche Version verwendest du ?

Gruß Nicolai
Frank E.
Posts: 5
Joined: 25 Mar 2024, 10:51

Re: GTK 3.0 auf RasPi

Post by Frank E. »

nicolaiB wrote: 25 Mar 2024, 12:06 Hallo Frank,

was hat denn nicht funktioniert? Auf einem aktuellen Bullseye Image kann ich das Paket installieren. Welche Version verwendest du ?

Gruß Nicolai
Es kommt folgendes:

pi@RevPi102365:~ $ sudo apt-get install libgtk-3-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libgtk-3-dev
pi@RevPi102365:~ $

Wie kann ich herausfinden, ob ich bullseye verwende?

uname -a ergibt folgendes:
Linux RevPi102365 5.10.152-rt75-v7l #1 SMP PREEMPT_RT Tue, 29 Nov 2022 07:34:25 +0000 armv7l GNU/Linux

Anscheinend verwende ich nicht bullseye:
pi@RevPi102365:~ $ lsb_release -a
No LSB modules are available.
Distributor ID: Raspbian
Description: Raspbian GNU/Linux 10 (buster)
Release: 10
Codename: buster
pi@RevPi102365:~ $
Last edited by Frank E. on 25 Mar 2024, 15:22, edited 1 time in total.
User avatar
nicolaiB
KUNBUS
Posts: 897
Joined: 21 Jun 2018, 10:33
Location: Berlin
Contact:

Re: GTK 3.0 auf RasPi

Post by nicolaiB »

Frank E. wrote: 25 Mar 2024, 14:34 [...]
Distributor ID: Raspbian
Description: Raspbian GNU/Linux 10 (buster)
Release: 10
Codename: buster
Du verwendest Buster. Ich habe gerade eben mal nachgeschaut und das Paket libgtk-3-dev sollte auch schon in Buster verfügbar sein (https://packages.debian.org/search?keyw ... bgtk-3-dev).

Prüfe mal bitte ob die Paketquellen aktuell sind: sudo apt update

Nicolai
Frank E.
Posts: 5
Joined: 25 Mar 2024, 10:51

Re: GTK 3.0 auf RasPi

Post by Frank E. »

Jetzt hat es funktioniert, vielen Dank!
Post Reply